:root {
    --primary-color: #0080ff;
    --primary-text-color: white;
    --secondary-color: #f44336;
    --secondary-text-color: white;
    --button-padding: 15px 32px;
    --button-font-size: 16px;
    --border-radius: 4px;
    --transition-duration: 0.4s;
}

.form-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form {
    width: 80%;
    margin-top: 30px;
}

.form-element {
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
}

.form-label {
    margin-bottom: 10px;
    font-size: 16px;
    font-weight: bold;
}

.form-input {
    height: 40px;
    border-radius: var(--border-radius);
    border: 1px solid #ccc;
    padding: 0 10px;
}

.form-element-radio {
    display: flex;
    flex-direction: column;
}

.form-radio {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.form-label-radio {
    margin-left: 10px;
}

.form-element-textarea .form-input {
    height: 100px;
    resize: vertical;
}

.form-element-checkbox {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    align-content: center;

    label {
        margin: 0 0 0 10px;
    }
}

.btn-submit {
    background-color: var(--primary-text-color);
    color: var(--primary-color);
    padding: var(--button-padding);
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: var(--button-font-size);
    margin: 4px 2px;
    transition-duration: var(--transition-duration);
    cursor: pointer;
    border: 2px solid var(--primary-color);
    border-radius: var(--border-radius);
}

.btn-submit:hover {
    background-color: var(--primary-color);
    color: var(--primary-text-color);
    border: 2px solid var(--primary-color);
}

.btn-cancel {
    background-color: white;
    color: var(--secondary-color);
    padding: var(--button-padding);
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: var(--button-font-size);
    margin: 4px 2px;
    transition-duration: var(--transition-duration);
    cursor: pointer;
    border: 2px solid var(--secondary-color);
    border-radius: var(--border-radius);
}

.btn-cancel:hover {
    background-color: var(--secondary-color);
    color: var(--secondary-text-color);
    border: 2px solid var(--secondary-color);
}


/* DESKTOP */
@media (min-width: 900px) {
    .form-element-buttons {
        display: flex;
        flex-direction: row;
    }

    button {
        width: 100%;
    }
}
